summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2020-02-08 17:57:44 -0800
committerZac Medico <zmedico@gentoo.org>2020-02-08 17:57:44 -0800
commit18a9c2e82132bf50d9603a012e2889a759651691 (patch)
tree1f71c9e3ee664cca7e6f9c86ac6f19aee1864daa
parentsys-apps/portage: Bump to version 2.3.88 (diff)
downloadgentoo-18a9c2e82132bf50d9603a012e2889a759651691.tar.gz
gentoo-18a9c2e82132bf50d9603a012e2889a759651691.tar.bz2
gentoo-18a9c2e82132bf50d9603a012e2889a759651691.zip
app-emulation/skopeo: Bump to version 0.1.41
Package-Manager: Portage-2.3.88, Repoman-2.3.20 Signed-off-by: Zac Medico <zmedico@gentoo.org>
-rw-r--r--app-emulation/skopeo/Manifest1
-rw-r--r--app-emulation/skopeo/skopeo-0.1.41.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/app-emulation/skopeo/Manifest b/app-emulation/skopeo/Manifest
index 01fc9d0acf5..fe0c8471412 100644
--- a/app-emulation/skopeo/Manifest
+++ b/app-emulation/skopeo/Manifest
@@ -1,3 +1,4 @@
DIST containers-storage-1.14.0-vfs-user-xattrs.patch 14835 BLAKE2B 99c35933dcb25385ee83b80cf282c11c738d0e4d91216cc08a50522f6caa9bca5938299412908f16df404f99e80616a10b4c02c0ebc38240a987830ddaf15008 SHA512 62c7ed49728bd12b5706f59b0d4af3b18d90e8cfc2b06e681f84fe3f5d3e0cd5c0317147109c4e3ec4fec26f82c269af3c9813e47339ce102e4e97400b74627d
DIST skopeo-0.1.39.tar.gz 3850036 BLAKE2B e635be475f22cc25ab98e446424f4a6b0babe34f827a73f9c9c1533db782490e9af94e759ac78fbeeec1c0e1fa42eef9d09fb4e7ff1f4df654f65fe4c1a9f7b0 SHA512 c4aadc40f9d637c628cd96c204b3e9bc3a928c145521bed2e5046508fc936ff99442dda8b4a4cdd85c4d04e64a9ccee5ea8d563c6ebf4e6020d50d96b921716c
DIST skopeo-0.1.40.tar.gz 3907911 BLAKE2B 0a9ebcc9662036b1595149f0d19a46c0565b115d37b22c6410041eef3e6755b20561439596f1033dd6ce2c78a4948e358b2518003729873d5ab8ce9a7bec082c SHA512 161edb8afa961e48e314cf70a4fcebd971a45a50fc11eab6ec751ba4eb05a8be011d16b83c4ed1fa9d6336846da5f518da006d4476ee4e29a160c629820773d3
+DIST skopeo-0.1.41.tar.gz 4692408 BLAKE2B d5e99be0cb478065f1478beda355abc11c8f13ad8446251048502da1b1af38d407ec46d284e59d2018af5d1ca6a953ad6156a306e9bc1acbdb22b447fe17a59f SHA512 924af178eb9621395cfffcf51aa072886dc8c20746bce1599a503df8c54794e34184a1fc6fd9582b889c7c8efecf8cf192797bc8e208b90c71cca31bb970d8e9
diff --git a/app-emulation/skopeo/skopeo-0.1.41.ebuild b/app-emulation/skopeo/skopeo-0.1.41.ebuild
new file mode 100644
index 00000000000..cc09b12134e
--- /dev/null
+++ b/app-emulation/skopeo/skopeo-0.1.41.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+COMMIT=7d080ca
+inherit go-module bash-completion-r1
+
+DESCRIPTION="Command line utility foroperations on container images and image repositories"
+HOMEPAGE="https://github.com/containers/skopeo"
+SRC_URI="https://github.com/containers/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+COMMON_DEPEND=">=app-crypt/gpgme-1.5.5:=
+ >=dev-libs/libassuan-2.4.3:=
+ dev-libs/libgpg-error:=
+ >=sys-fs/btrfs-progs-4.0.1
+ >=sys-fs/lvm2-2.02.145:="
+DEPEND="${COMMON_DEPEND}
+ dev-go/go-md2man"
+RDEPEND="${COMMON_DEPEND}"
+
+RESTRICT="test"
+
+src_compile() {
+ local BUILDTAGS="containers_image_ostree_stub"
+ set -- env -u GOCACHE -u XDG_CACHE_HOME \
+ go build -mod=vendor -ldflags "-X main.gitCommit=${COMMIT}" \
+ -gcflags "${GOGCFLAGS}" -tags "${BUILDTAGS}" \
+ -o skopeo ./cmd/skopeo
+ echo "$@"
+ "$@" || die
+ cd docs || die
+ for f in *.1.md; do
+ go-md2man -in ${f} -out ${f%%.md} || die
+ done
+}
+
+src_install() {
+ dobin skopeo
+ doman docs/*.1
+ dobashcomp completions/bash/skopeo
+ insinto /etc/containers
+ newins default-policy.json policy.json
+ insinto /etc/containers/registries.d
+ doins default.yaml
+ keepdir /var/lib/atomic/sigstore
+ einstalldocs
+}